[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.BeginDrag

Starts a drag operation for the control (programmatically).

## Declaration

Source position: controls.pp line 1703

`public procedure TControl.BeginDrag(`
`Immediate: Boolean;`
`Threshold: Integer = - 1`
`);`

## Arguments

`Immediate` |  | If False, start dragging only after the mouse has moved.
`Threshold` |  | Minimum mouse movement before delayed dragging starts (in pixels); -1 causes the DragManager default to be used. Ignored when Immediate is set to True.